Subject: [alpine-aports] [PATCH] testing/mate-system-monitor: new aport

From: Alan Lacerda <[email-masked]>
Date: Tue, 5 May 2015 19:32:10 +0000

---
 testing/mate-system-monitor/APKBUILD | 48 ++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)
 create mode 100644 testing/mate-system-monitor/APKBUILD

diff --git a/testing/mate-system-monitor/APKBUILD b/testing/mate-system-monitor/APKBUILD
new file mode 100644
index 0000000..b8beb3a
--- /dev/null
+++ b/testing/mate-system-monitor/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer: Alan Lacerda <[email-masked]>
+pkgname=mate-system-monitor
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="A system monitor for MATE"
+url="https://github.com/mate-desktop/mate-system-monitor"
+arch="all"
+license="GPLv2"
+depends="mate-icon-theme"
+depends_dev=""
+makedepends="$depends_dev gtk+2.0-dev libwnck-dev gtkmm-dev libgtop-dev 
+	librsvg-dev glibmm-dev itstool linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --sysconfdir=/etc \
+                --prefix=/usr \
+                --enable-all-themes || return 1
+
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	 make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="9b3a2449a0e36bb309fdd9676d99d7d1  mate-system-monitor-1.9.90.tar.xz"
+sha256sums="ffa14a29ae6fda1399cf46c4e52850edb4696e79fab3b4c35944cd5ed7a8b053  mate-system-monitor-1.9.90.tar.xz"
+sha512sums="7610cf945bfc9a5d41169b54dcdc4cb4e65b76cee06505102766342fdbf365dbb6ab4b07bc15a6ac2b91b08359b5785f2f6a8c9500e38b7c089c48c4bff8a661  mate-system-monitor-1.9.90.tar.xz"
-- 
2.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---